# DAGetFieldName

Gets the names of individual field components in multicomponent vectors associated with a DA.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetFieldName(DA da,PetscInt nf,char **name)

Not Collective

### Input Parameter

| da | - the distributed array
| nf | - field number for the DA (0, 1, ... dof-1), where dof indicates the number of degrees of freedom per node within the DA

### Output Parameter

names -the name of the field (component)

### Keywords

distributed array, get, component name

### See Also

DASetFieldName()

Level:intermediate
Location: src/dm/da/src/dacorn.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages